Intermittent Automation Error: No crash directory (/storage/sdcard/tests/reftest/profile/minidumps) found on remote device

REOPENED
Unassigned

Status

()

Firefox for Android
Testing
P3
normal
REOPENED
2 years ago
5 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

No, I don't see any buildbot retry entry for this.

I think Firefox has been successfully avoiding these.

This case seems to be a very early startup crash.
Priority: -- → P3

Comment 2

a year ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 2

Platform breakdown:
* android-4-3-armv7-api15: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-08-22&endday=2016-08-28&tree=all

Comment 3

a year ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-08-29&endday=2016-09-04&tree=all

Comment 4

a year ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-09-05&endday=2016-09-11&tree=all

Comment 5

a year ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* fx-team: 2
* autoland: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 6

a year ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-09-19&endday=2016-09-25&tree=all

Comment 7

a year ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 5
* mozilla-inbound: 1
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-10-17&endday=2016-10-23&tree=all
Several of these have no logcat indication that the browser was ever started. Maybe an adb failure? Would some kind of retry-on-launch be helpful/appropriate?

Comment 9

a year ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 1
* mozilla-inbound: 1
* mozilla-beta: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-10-31&endday=2016-11-06&tree=all
8 failures in 715 pushes (0.011 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 5
* mozilla-aurora: 1
* graphics: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-11-14&endday=2016-11-20&tree=all
Also worth noting that all recent failures are in reftests; do we launch mochitests differently/better?
10 failures in 623 pushes (0.016 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 6
* autoland: 3
* try: 1

Platform breakdown:
* android-4-3-armv7-api15: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2016-11-21&endday=2016-11-27&tree=all
6 failures in 563 pushes (0.011 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-01-02&endday=2017-01-08&tree=all
6 failures in 722 pushes (0.008 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 5
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-01-09&endday=2017-01-15&tree=all
6 failures in 733 pushes (0.008 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2
* mozilla-aurora: 1
* graphics: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-01-30&endday=2017-02-05&tree=all

Comment 16

11 months ago
8 failures in 833 pushes (0.01 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* autoland: 5
* mozilla-inbound: 2
* graphics: 1

Platform breakdown:
* android-4-3-armv7-api15: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-02-13&endday=2017-02-19&tree=all

Comment 17

10 months ago
7 failures in 845 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 3
* mozilla-inbound: 2
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-03-27&endday=2017-04-02&tree=all
Status: NEW → RESOLVED
Last Resolved: 6 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Comment 18

4 months ago
1 failures in 1032 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-09-11&endday=2017-09-17&tree=all
(In reply to Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) from comment #19)
> https://treeherder.mozilla.org/logviewer.html#?job_id=133554713&repo=autoland

Android blew up when we tried to start fennec?

[task 2017-09-27T10:58:07.954Z] 10:58:07     INFO -  REFTEST INFO | Running with e10s: False
[task 2017-09-27T11:03:07.996Z] 11:03:07     INFO -  mozdevice ERROR | Timeout exceeded for _checkCmd call 'adb shell "am" "start" "-W" "-n" "org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp" "--es" "args" "-no-remote -profile /storage/sdcard/tests/reftest/profile/" "--es" "env0" "MOZ_CRASHREPORTER=1" "--es" "env1" "XPCOM_DEBUG_BREAK=stack" "--es" "env2" "R_LOG_VERBOSE=1" "--es" "env3" "MOZ_DISABLE_NONLOCAL_CONNECTIONS=1" "--es" "env4" "MOZ_IN_AUTOMATION=1" "--es" "env5" "R_LOG_DESTINATION=stderr" "--es" "env6" "MOZ_CRASHREPORTER_NO_REPORT=1" "--es" "env7" "NO_EM_RESTART=1" "--es" "env8" "MOZ_PROCESS_LOG=/tmp/tmpg8Cb1fpidlog" "--es" "env9" "R_LOG_LEVEL=6"'
[task 2017-09-27T11:03:09.169Z] 11:03:09     INFO -  INFO | automation.py | Application pid: 0
[task 2017-09-27T11:03:20.100Z] 11:03:20     INFO -  INFO | automation.py | Application ran for: 0:05:12.145042

09-27 03:58:08.379   764   764 D AndroidRuntime: 
09-27 03:58:08.379   764   764 D AndroidRuntime: >>>>>> AndroidRuntime START com.android.internal.os.RuntimeInit <<<<<<
09-27 03:58:08.379   764   764 D AndroidRuntime: CheckJNI is ON
09-27 03:58:08.418   764   764 D dalvikvm: Trying to load lib libjavacore.so 0x0
09-27 03:58:08.428   764   764 D dalvikvm: Added shared lib libjavacore.so 0x0
09-27 03:58:08.469   764   764 D dalvikvm: Trying to load lib libnativehelper.so 0x0
09-27 03:58:08.469   764   764 D dalvikvm: Added shared lib libnativehelper.so 0x0
09-27 03:58:08.538   764   764 E cutils-trace: Error opening trace file: No such file or directory (2)
09-27 03:58:08.958   764   764 W dalvikvm: Exception Ljava/lang/IllegalArgumentException; thrown while initializing Ljava/util/jar/Attributes$Name;
09-27 03:58:08.958   764   764 W dalvikvm: Exception Ljava/lang/ExceptionInInitializerError; thrown while initializing Ljava/util/jar/Manifest;
09-27 03:58:08.958   764   764 W dalvikvm: Exception Ljava/lang/ExceptionInInitializerError; thrown while initializing Ljava/util/logging/LogManager;
09-27 03:58:08.958   764   764 D AndroidRuntime: Shutting down VM
09-27 03:58:08.958   764   764 W dalvikvm: threadid=1: thread exiting with uncaught exception (group=0x414c8700)
09-27 03:58:08.978   764   764 E AndroidRuntime: *** FATAL EXCEPTION IN SYSTEM PROCESS: main
09-27 03:58:08.978   764   764 E AndroidRuntime: java.lang.ExceptionInInitializerError
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.util.jar.Manifest.<clinit>(Manifest.java:46)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.util.jar.JarFile.getManifest(JarFile.java:296)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.util.jar.JarFile.getInputStream(JarFile.java:372)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at libcore.net.url.JarURLConnectionImpl.getInputStream(JarURLConnectionImpl.java:226)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.net.URL.openStream(URL.java:462)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.lang.ClassLoader.getResourceAsStream(ClassLoader.java:436)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.lang.Class.getResourceAsStream(Class.java:967)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.util.logging.LogManager.readConfiguration(LogManager.java:336)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.util.logging.LogManager.<clinit>(LogManager.java:161)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit.commonInit(RuntimeInit.java:116)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:229)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at dalvik.system.NativeStart.main(Native Method)
09-27 03:58:08.978   764   764 E AndroidRuntime: Caused by: java.lang.IllegalArgumentException: Implementation-Vendor
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.util.jar.Attributes$Name.<init>(Attributes.java:155)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	at java.util.jar.Attributes$Name.<clinit>(Attributes.java:92)
09-27 03:58:08.978   764   764 E AndroidRuntime: 	... 12 more
09-27 03:58:08.978   764   764 D dalvikvm: Note: class Landroid/app/ActivityManagerNative; has 163 unimplemented (abstract) methods
09-27 04:03:19.728   277   280 D dalvikvm: GC_CONCURRENT freed 453K, 45% free 4770K/8636K, paused 6ms+6ms, total 91ms

Comment 21

4 months ago
4 failures in 885 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 2
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api16: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-09-25&endday=2017-10-01&tree=all

Comment 22

3 months ago
2 failures in 824 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-10-02&endday=2017-10-08&tree=all

Comment 23

3 months ago
7 failures in 947 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* mozilla-beta: 2
* autoland: 2
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api16: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-10-09&endday=2017-10-15&tree=all

Comment 24

3 months ago
2 failures in 864 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2

Platform breakdown:
* android-4-3-armv7-api16: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-10-16&endday=2017-10-22&tree=all

Comment 25

3 months ago
9 failures in 912 pushes (0.01 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 4
* autoland: 3
* mozilla-inbound: 2

Platform breakdown:
* android-4-3-armv7-api16: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-10-23&endday=2017-10-29&tree=all

Comment 26

3 months ago
5 failures in 857 pushes (0.006 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 3
* try: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api16: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-10-30&endday=2017-11-05&tree=all

Comment 27

2 months ago
13 failures in 849 pushes (0.015 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 10
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api16: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-11-06&endday=2017-11-12&tree=all

Comment 28

2 months ago
5 failures in 762 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2

Platform breakdown:
* android-4-3-armv7-api16: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-11-13&endday=2017-11-19&tree=all

Comment 29

2 months ago
12 failures in 744 pushes (0.016 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 4
* autoland: 3
* try: 2
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 11
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-11-20&endday=2017-11-26&tree=all

Comment 30

2 months ago
14 failures in 792 pushes (0.018 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 8
* mozilla-central: 2
* mozilla-beta: 2
* autoland: 2

Platform breakdown:
* android-4-3-armv7-api16: 9
* android-api-16-gradle: 4
* android-4-2-x86: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-11-27&endday=2017-12-03&tree=all

Comment 31

a month ago
7 failures in 889 pushes (0.008 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 4
* mozilla-inbound: 2
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 6
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-12-04&endday=2017-12-10&tree=all

Comment 32

a month ago
10 failures in 423 pushes (0.024 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 7
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api16: 6
* android-api-16-gradle: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-12-11&endday=2017-12-17&tree=all

Comment 33

26 days ago
8 failures in 590 pushes (0.014 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 4
* mozilla-beta: 2
* try: 1
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 5
* android-api-16-gradle: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2017-12-18&endday=2017-12-24&tree=all

Comment 34

12 days ago
9 failures in 462 pushes (0.019 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 3
* mozilla-inbound: 3
* mozilla-central: 3

Platform breakdown:
* android-4-3-armv7-api16: 7
* android-api-16-gradle: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2018-01-01&endday=2018-01-07&tree=all
6 failures in 788 pushes (0.008 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 3
* try: 2
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api16: 5
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284320&startday=2018-01-08&endday=2018-01-14&tree=all
You need to log in before you can comment on or make changes to this bug.